{% load i18n %}

<script type="text/javascript">
    $(document).ready(function(){
        var table = $('#tb').DataTable({
            dom:"Bfrtip",
            autoWidth:false,
            buttons:[{extend: 'excelHtml5',text:'到处到Excel'}],
            language:lng,
            data:{{ data | safe }},
            destroy:true,
        });

        table.columns().every( function (){
            var that = this;
            $('input',this.footer() ).on('keyup change clear',function (){
                if (that.search()!==this.value){
                    that.search(this.value).draw();
                }
            });
        });

        $('#tb').on("click","td a",function(event){
            $(event.target.parentNode).addClass('row_selected');
             event.preventDefault();
             $.OpenDlg($(this).attr('href'),'明细列表',1000,700);
        });






        $('.datepicker').datepicker({dateFormat: "yy-mm-dd"});
        $('.datepicker').datepicker('setDate',new Date());
        setDatePickerZh()

        $('#dt_fr').val('{{ date_from }}')
        $('#dt_to').val('{{ date_to }}')


        $('.btn-qry').click(function(){
            var date_from,date_to;
            date_fr=$('#dt_fr').val();
            date_to=$('#dt_to').val();
            var params=[];
            if(date_fr!=''){params.push('date_from='+date_fr)};
            if(date_to!=''){params.push('date_to='+date_to)};

            if(params.length==0){
                bootbox.alert("{% trans '请先输入查询条件！'%}");
            }else{
                $.RefreshContent('{{request.path}}?'+params.join('&'));
            }
        });

    })


        /*
        $('#tb a').click(function(){
            event.stopPropagation();
            event.preventDefault();
            var url=$(this).attr('href');
            $.ajax({
                type:'GET',
                //processData: false,
                //contentType: 'application/json; charset=utf-8',
                url:url,
                success: function (html) {
                    $('#cgroup_edit').html(html);
                    return;
                },
                error: function(XMLHttpRequest, textStatus, errorThr    own) {
                    alert('连接服务器失败');
                    return;
                }
            });
        });
        */

</script>


<style>
  
   
</style>






<ol class="breadcrumb">
    <li>{% trans "进销存报表" %}</li>
    <li>{% trans "垛标物流" %}</li>
</ol>


<form role="form" class="form-inline" style="margin-top:0px;padding-left:10px;">
    <div class="col-sm-2 input-group">
        <span class="input-group-addon">{% trans "开始日期" %}</span>
        <input class="datepicker form-control" id="dt_fr"/>
    </div>
    <div class="col-sm-2 input-group">
        <span class="input-group-addon">{% trans "结束日期" %}</span>
        <input class="datepicker form-control" id="dt_to"/>
    </div>
    <div class="col-sm-2 input-group">
            <span class='input-group-btn'>
                <a type="button" class='btn btn-primary btn-qry'>
                    <span class='glyphicon glyphicon-search' style='padding-right:5px;'></span>{% trans '查找' %}
                </a>
            </span>
    </div>
</form>
<div class="clearfix"></div>


<div class='x_panel' id='chart-main'>
    <div>
    
        <table id="tb" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%"> 
        <thead>
            {% for c in clmns %}
                <th>{{c}}</th>
            {% endfor %}
        </thead>
        <tbody></tbody>
        <tfoot>
            {% for c in clmns %}
                <th><input type="text" placeholder="{{c}}"></th>
            {% endfor %}
        </tfoot>
        </table>
    </div>

   

</div>
